export { LICENSE, VERSION } from "./version.js";
import * as reducers from "./lib/reducers.js";
import * as transformers from "./lib/transformers.js";
import * as effectors from "./lib/effectors.js";
export declare const pair: <T, U>(it2: Iterable<U>) => import("./mod.js").UniaryIterFunction<T, import("./mod.js").IterableCircular<[T, U]>>;
export declare const concat: <T, U = T>(...args: Iterable<U>[]) => import("./mod.js").UniaryIterFunction<T, import("./mod.js").IterableCircular<T | U>>;
export declare const reduce: <T, U>(reducer: reducers.ReduceAccumulatorCallback<T, U>, initialValue: U, stop?: reducers.ReduceStopCallback<T, U> | undefined) => import("./mod.js").UniaryIterFunction<T, U>;
export declare const some: <T>(predicate: import("./mod.js").IterablePredicateCallback<T>) => import("./mod.js").UniaryIterFunction<T, boolean>;
export declare const every: <T>(predicate: import("./mod.js").IterablePredicateCallback<T>) => import("./mod.js").UniaryIterFunction<T, boolean>;
export declare const includes: <T>(value: T) => import("./mod.js").UniaryIterFunction<T, boolean>;
export declare const find: <T>(predicate: import("./mod.js").IterablePredicateCallback<T>) => import("./mod.js").UniaryIterFunction<T, T | undefined>;
export declare const findIndex: <T>(predicate: import("./mod.js").IterablePredicateCallback<T>) => import("./mod.js").UniaryIterFunction<T, number>;
export declare const sum: typeof reducers.sum;
export declare const product: typeof reducers.product;
export declare const norm: typeof reducers.norm;
export declare const map: <T, U = T>(f: transformers.MapCallback<T, U>) => import("./mod.js").UniaryIterFunction<T, import("./mod.js").IterableCircular<U>>;
export declare const flatMap: <T, U = T>(f: transformers.FlatMapCallback<T, U>) => import("./mod.js").UniaryIterFunction<T, Iterable<U>>;
export declare const take: <T>(n: number) => import("./mod.js").UniaryIterFunction<T, import("./mod.js").IterableCircular<T>>;
export declare const until: <T>(f: import("./mod.js").IterablePredicateCallback<T>, includeLast?: boolean | undefined) => import("./mod.js").UniaryIterFunction<T, import("./mod.js").IterableCircular<T>>;
export declare const filter: <T>(predicate: import("./mod.js").IterablePredicateCallback<T>) => import("./mod.js").UniaryIterFunction<T, import("./mod.js").IterableCircular<T>>;
export declare const indexedPairs: typeof transformers.indexedPairs;
export declare const chunkify: <T>(chunkSize: number) => import("./mod.js").UniaryIterFunction<T, import("./mod.js").IterableCircular<T[]>>;
export declare const remember: typeof transformers.remember;
export declare const flat: <T, Iter extends Iterable<T | Iterable<T | Iterable<T | Iterable<T | Iterable<T | Iterable<T | Iterable<T | Iterable<T | Iterable<T | Iterable<T | Iterable<T | Iterable<T | any>>>>>>>>>>>>>(depth?: number | undefined) => import("./mod.js").UniaryIterFunction<T | Iterable<T | Iterable<T | Iterable<T | Iterable<T | Iterable<T | Iterable<T | Iterable<T | Iterable<T | Iterable<T | Iterable<T | Iterable<T | any>>>>>>>>>>>, import("./mod.js").IterableCircular<T | Iterable<T | Iterable<T | Iterable<T | Iterable<T | Iterable<T | Iterable<T | Iterable<T | Iterable<T | Iterable<T | Iterable<T | Iterable<T | any>>>>>>>>>>>>>;
export declare const completeFlat: typeof transformers.completeFlat;
export declare const fuse: typeof transformers.fuse;
export declare const peekable: typeof transformers.peekable;
export declare const forEach: <T>(f: effectors.ForEachCallback<T>) => import("./mod.js").UniaryIterFunction<T, void>;
export declare const lazyObserver: <T>(f: effectors.ForEachCallback<T>) => import("./mod.js").UniaryIterFunction<T, import("./mod.js").IterableCircular<T>>;
export * as create from "./lib/generators.js";
